%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 8 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 35
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 8 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}*.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-35
* Release 1.6-35
	Kernel modules added for the following kernels:
		4.18.0-394

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-34
* Release 1.6-34
	Kernel modules added for the following kernels:
		4.18.0-383

* Wed Mar 23 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-33
* Release 1.6-33
	Kernel modules added for the following kernels:
		4.18.0-373

* Wed Feb 16 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-32
* Release 1.6-32
	Kernel modules added for the following kernels:
		4.18.0-365

* Wed Jan 19 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-31
* Release 1.6-31
	Kernel modules added for the following kernels:
		4.18.0-358

* Wed Jan  5 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-30
* Release 1.6-30
	Kernel modules added for the following kernels:
		4.18.0-348.7.1

* Fri Nov 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-29
* Release 1.6-29
	Kernel modules added for the following kernels:
		4.18.0-348.2.1

* Wed Nov 10 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-28
* Release 1.6-28
	Kernel modules added for the following kernels:
		4.18.0-305.25.1

* Fri Oct 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-27
* Release 1.6-27
	Kernel modules added for the following kernels:
		4.18.0-348

* Wed Sep 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-26
* Release 1.6-26
	Kernel modules added for the following kernels:
		4.18.0-305.19.1
		4.18.0-305.17.1

* Wed Sep  1 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-25
* Release 1.6-25
	Kernel modules added for the following kernels:
		4.18.0-338

* Wed Aug 25 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-24
* Release 1.6-24
	Kernel modules added for the following kernels:
		4.18.0-331
		4.18.0-305.12.1

* Wed Aug  4 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-23
* Release 1.6-23
	Kernel modules added for the following kernels:
		4.18.0-326

* Wed Jul 21 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-22
* Release 1.6-22
	Kernel modules added for the following kernels:
		4.18.0-305.10.2
		4.18.0-305.7.1

* Wed Jul  7 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-21
* Release 1.6-21
	Kernel modules added for the following kernels:
		4.18.0-315

* Fri Jun 11 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-20
* Release 1.6-20
	Kernel modules added for the following kernels:
		4.18.0-305.3.1
		4.18.0-310

* Wed Jun  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-19
* Release 1.6-19
	Kernel modules added for the following kernels:
		4.18.0-305.0.1

* Wed May 26 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-18
* Release 1.6-18
	Kernel modules added for the following kernels:
		4.18.0-305

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-17
* Release 1.6-17
	Kernel modules added for the following kernels:
		4.18.0-301.1

* Thu Apr 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-16
* Release 1.6-16
	Kernel modules added for the following kernels:
		4.18.0-240.22.1

* Fri Mar 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-15
* Release 1.6-15
	Kernel modules added for the following kernels:
		4.18.0-294

* Fri Mar  5 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-14
* Release 1.6-14
	Kernel modules added for the following kernels:
		4.18.0-240.15.1

* Fri Feb 12 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-13
* Release 1.6-13
	Kernel modules added for the following kernels:
		4.18.0-277

* Fri Jan 22 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-12
* Release 1.6-12
	Kernel modules added for the following kernels:
		4.18.0-240.10.1

* Thu Dec 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-11
* Release 1.6-11
	Kernel modules added for the following kernels:
		4.18.0-240.1.1
		4.18.0-240

* Fri Nov  6 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-10
* Release 1.6-10
	Kernel modules added for the following kernels:
		4.18.0-193.28.1

* Thu Sep 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-9
* Release 1.6-9
	Kernel modules added for the following kernels:
		4.18.0-193.19.1

* Fri Jul 31 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-8
* Release 1.6-8
	Kernel modules added for the following kernels:
		4.18.0-193.14.2

* Fri Jun 19 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-7
* Release 1.6-7
	Kernel modules added for the following kernels:
		4.18.0-193.6.3
		4.18.0-193.1.2
		4.18.0-193

* Fri Apr 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-6
* Release 1.6-6
	Kernel modules added for the following kernels:
		4.18.0-147.8.1

* Fri Apr 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-5
* Release 1.6-5
	Kernel modules added for the following kernels:
		4.18.0-147.5.1

* Fri Jan 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-4
* Release 1.6-4
	Kernel modules added for the following kernels:
		4.18.0-147.3.1
		4.18.0-147.0.3
		4.18.0-147

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-3
 Release 1.6-3
	No changes - version number synchronization with LiME version.

* Fri Oct 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-2
* Release 1.6-2
	Kernel modules added for the following kernels:
		4.18.0-80.11.2
		4.18.0-80.11.1
		4.18.0-80.7.2
		4.18.0-80.7.1
		4.18.0-80.4.2
		4.18.0-80.1.2

* Thu Oct  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	Kernel modules added for the following kernels:
		4.18.0-80
